cwlVersion: v1.2
class: CommandLineTool

label: receive_parameter_from_api
doc: |-
    Set a simulation model parameter through an API.
    The input is validated using a predefined
    description of format, data types, value ranges.
    No data processing or derivation steps follow this workflow.

baseCommand: echo

stdout: output.txt

inputs:
  parameter:
    type: File
  metadata:
    type: File
  parameter_schema:
    type: File
    default: "parameter_schema.yml"

outputs:
    parameter_asserted:
        type: File
    metadata_asserted:
        type: File
