cwlVersion: v1.2
class: CommandLineTool

label: receive_data_from_api
doc: |-
    Receive data through an API to be used
    in a derivation or validation workflow. Input data is validated
    using a predefined description of format, data types, value ranges.
    All input data is enriched with metadata to ensure full reproducibility.

baseCommand: echo

stdout: output.txt

inputs:
  data:
    type: File
  metadata:
    type: File
  data_schema:
    type: File

outputs:
    input_data_asserted:
        type: File
    input_metadata_asserted:
        type: File
